=== debian/control ===
Source: ros-humble-image-view
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-camera-calibration-parsers, ros-humble-cv-bridge, ros-humble-image-transport, ros-humble-message-filters, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-srvs, ros-humble-stereo-msgs, ros-humble-ros-workspace
Homepage: https://index.ros.org/p/image_view/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-humble-image-view
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, ros-humble-camera-calibration-parsers, ros-humble-cv-bridge, ros-humble-image-transport, ros-humble-message-filters, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-srvs, ros-humble-stereo-msgs, ros-humble-ros-workspace
Description: A simple viewer for ROS image topics.
 Includes a specialized viewer for stereo + disparity images.
