## ros-humble-image-view 3.0.5

=== debian/changelog ===
ros-humble-image-view (3.0.5-1bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jul 2024 16:00:00 -0000

ros-humble-image-view (3.0.4-1bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 29 Feb 2024 16:00:00 -0000

ros-humble-image-view (3.0.3-1bookworm) bookworm; urgency=high

  * [backport Humble] Removed cfg files related with ROS 1 parameters (#911 <https://github.com/ros-perception/image_pipeline/issues/911>) (#913 <https://github.com/ros-perception/image_pipeline/issues/913>)
    Removed cfg files related with ROS 1 parameters. Backport
    https://github.com/ros-perception/image_pipeline/pull/911
  * [backport humble] enable autosize parameter in disparity view (#875 <https://github.com/ros-perception/image_pipeline/issues/875>) (#897 <https://github.com/ros-perception/image_pipeline/issues/897>)
    backport #875 <https://github.com/ros-perception/image_pipeline/issues/875>
    Co-authored-by: Michael Ferguson <mailto:mfergs7@gmail.com>
  * [backport humble] ROS 2: Add option to prepend timestamp to image filename in image_saver node (#870 <https://github.com/ros-perception/image_pipeline/issues/870>) (#885 <https://github.com/ros-perception/image_pipeline/issues/885>)
    backport #870 <https://github.com/ros-perception/image_pipeline/issues/870>
  * [backport humble] Add support for floating point fps (#866 <https://github.com/ros-perception/image_pipeline/issues/866>) (#877 <https://github.com/ros-perception/image_pipeline/issues/877>)
    Backport #866 <https://github.com/ros-perception/image_pipeline/issues/866>
  * [backport Humble] use cv::DestroyAllWindows (#863 <https://github.com/ros-perception/image_pipeline/issues/863>) (#864 <https://github.com/ros-perception/image_pipeline/issues/864>)
    This ports #816 <https://github.com/ros-perception/image_pipeline/issues/816> to ROS 2 and prevents weird exit conditions if you
    already closed the window
    backport https://github.com/ros-perception/image_pipeline/pull/863
    Co-authored-by: Michael Ferguson <mailto:mfergs7@gmail.com>
  * Contributors: Alejandro Hernández Cordero

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 23 Jan 2022 16:00:00 -0000

ros-humble-image-view (3.0.2-1bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 16 Jan 2022 16:00:00 -0000

ros-humble-image-view (3.0.0-1bookworm) bookworm; urgency=high

  * Cleanup image_view.
  * reformat for the uncrustify linter
  * fix code style divergence
  * reduce number of lines under 100
  * print correct topics, remap according to ros2 capabilities, print help with correct ros2 syntax
  * declare and get parameters for value replacement
  * transport shoudl be used as a ros arg parameter
  * use ros2 syntax
  * transport should be use as a ros-arg parameter
  * Fix image saver bug and time-based image saving
  * replace ROSTIME
  * Changing to RCL_SYSTEM_TIME
  * Fix timestamp creation
  * changes per comments
  * fix for stereo_image_proc_tests
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * please linters
  * Fix wrong usage of rclcpp::Duration constructor
  * Contributors: Chris Lalancette, Erwin Lejeune, Ivan Santiago Paunovic, Jacob Perron, Lars Lorentz Ludvigsen, Patrick Musau

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 16:00:00 -0000

ros-humble-image-view (2.2.1-1bookworm) bookworm; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 16:00:00 -0000

ros-humble-image-view (2.2.0-1bookworm) bookworm; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
  * Opencv 3 compatibility (#564 <https://github.com/ros-perception/image_pipeline/issues/564>)
    * Remove GTK from image_view.
    * Reinstate OpenCV 3 compatibility.
  * Use newer 'add_on_set_parameters_callback' API (#562 <https://github.com/ros-perception/image_pipeline/issues/562>)
    The old API was deprecated in Foxy and since removed in https://github.com/ros2/rclcpp/pull/1199.
  * Contributors: Chris Lalancette, Jacob Perron, Joshua Whitley
  * Patch boost failure in image_view (#541 <https://github.com/ros-perception/image_pipeline/issues/541>)
    * Patch boost failure in image_view
    * remove ros2_deps from circle with new releases
    * readd deps
  * Contributors: Steve Macenski
  * Initial ROS2 commit.
  * Contributors: Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 16:00:00 -0000

ros-humble-image-view (1.12.23-1bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 16:00:00 -0000

ros-humble-image-view (1.12.22-1bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 16:00:00 -0000

ros-humble-image-view (1.12.21-1bookworm) bookworm; urgency=high

  * call namedWindow from same thread as imshow, need waitKay, now cvStartWindowThreads is null funciton on window_QT.h (#279 <https://github.com/ros-perception/image_pipeline/issues/279>)
  * Contributors: Kei Okada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 16:00:00 -0000

ros-humble-image-view (1.12.20-1bookworm) bookworm; urgency=high

  * DisparityViewNodelet: fixed freeze (#244 <https://github.com/ros-perception/image_pipeline/issues/244>)
  * launch image view with a predefined window size (#257 <https://github.com/ros-perception/image_pipeline/issues/257>)
  * Remove python-opencv run_depend for image_view (#270 <https://github.com/ros-perception/image_pipeline/issues/270>)

